% -----------------------------------------------------------------------
% The function generates the inverse DFT dictionary with redundancy
% Output: D: The iDFT dictionary
% Inputs: N: Frame length 
%         rd: redundancy coefficient
% By I. Toumi 
% Mai 2017 
% Qarma Team - LIF  
% ------------------------------------------------------------------------

function D = iDFT_Dict(N,rd)

K=rd*N;         % K : size of the fft dictionary 
u = 0:(N-1);    % time
k=0:K-1;        % frequency

w = wRect(N);
%w = wSine(N);

D = diag(w)*exp(2*1i*pi/K*u.'*k);

% Normalization
%D = (1/N).*D; 
end
